Aller au contenu

Filament ABS

problème pour passage sous marlin Alfawise U20


Messages recommandés

salut à tous!

Je suis en train de suivre le tuto @CacaoTor pour passer sur Marlin

. J'en profite pour remercier toute l'équipe pour ce travail. je rencontre un petit soucis, lorsque je tente de compiler, je clique sur run build task dans VSC, il ne me propose pas "build alfawise U20" ni aucun autre alfawise d'ailleurs. j'ai essayé de relire plusieurs fois le tuto, je ne vois pas ce que j'ai loupé est ce que quelqu'un sait d'où cela peut venir?

 

PS: j'ai posté ma question sur le topic du tuto mais ça fait une semaine et personne ne m'a répondu je crée donc un nouveau topic.

Lien à poster
Partager sur d’autres sites

Salut !
Je n’ai pas suivi ce tuto et je n’ai pas de U30, mais ça me semble être pareil pour tous: à un moment tu dois éditer le fichier « platformio.ini », l’as-tu fait ? Il y a des références à « alfawise_u30 » dans le bout de configuration qu’il propose un tout petit peu plus haut que là où il te dit de build.

Lien à poster
Partager sur d’autres sites
il y a une heure, akdm a dit :

Salut !
Je n’ai pas suivi ce tuto et je n’ai pas de U30, mais ça me semble être pareil pour tous: à un moment tu dois éditer le fichier « platformio.ini », l’as-tu fait ? Il y a des références à « alfawise_u30 » dans le bout de configuration qu’il propose un tout petit peu plus haut que là où il te dit de build. emoji4.png

Bonsoir,

Oui j'ai bien effectué le changement

Lien à poster
Partager sur d’autres sites
Le 13/03/2021 at 21:49, remibora a dit :

Salut,

Tu peux suivre ces instructions si tu veux.

J'ajoute le fichier cardreader.cpp qui résout le bug de la reprise après coupure d'alimentation. Il est à placer dans \Marlin\src\sd

cardreader.cpp 35 Ko · 0 downloads

Salut, j'ai enfin trouvé le temps d'essayer! J'ai pu faire la compilation 👍 mais j'ai des erreurs 😫

image.png.0d85b9db6445059598515844ae1bf051.png

Marlin\src\module\settings.cpp: In static member function 'static void MarlinSettings::reset()':
Marlin\src\module\settings.cpp:2688:7: error: static assertion failed: DEFAULT_Kp_LIST must have between 1 and HOTENDS items.
       static_assert(WITHIN(COUNT(defKp), 1, HOTENDS), "DEFAULT_Kp_LIST must have between 1 and HOTENDS items.");

 

Est ce que tu as une idée de comment régler ça? j'ai pris la config alfawise U20 BLTouch peut-être que j'aurais pas dû?

Merci pour votre aide🙏

Lien à poster
Partager sur d’autres sites

Salut,

Si tu n'as pas de BLtouch, effectivement, c'est pas une bonne idée. Si tu en as un, je peux te fournir les fichiers de config.

EDIT :Par contre, il faut connaitre ta version d'écran pour compiler la bonne version (V1.1, V1.2 ou V1.9)

Modifié (le) par remibora
Lien à poster
Partager sur d’autres sites

Je viens vous donner des nouvelles. Le flash s'est bien déroulé et tout est ok. J'ai un petit soucis avec mon bltouch qui se mets en alarme après le lancement de l'impression sans raison apparente mais ça ne gêne pas le bon déroulement de l'impression donc je ne me fais pas de soucis pour le moments.

Lien à poster
Partager sur d’autres sites

Rejoindre la conversation

Vous pouvez poster un message et vous inscrire plus tard. Si vous avez déjà un compte, connectez-vous afin de poster avec.

Invité
Répondre à ce sujet…

×   Vous avez copié du contenu avec formatage.   Supprimer le formatage

  Only 75 emoji are allowed.

×   Votre lien a été automatiquement intégré.   Afficher en tant que lien à la place

×   Le contenu sauvegardé a été restauré.   Effacer l'éditeur

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Créer...